import * as $dara from '@darabonba/typescript';
import { IgnoreHcCheckWarningsResponseBody } from "./IgnoreHcCheckWarningsResponseBody";
export declare class IgnoreHcCheckWarningsResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: IgnoreHcCheckWarningsResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
